hex2otf.h File Reference

hex2otf.h - Header file for hex2otf.c More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | NamePair
| Data structure for a font ID number and name character string. More...

## Macros

#define | UNIFONT_VERSION "15.0.03"
| Current Unifont version. More...
#define | DEFAULT_ID0 "Copyright © 1998-2022 Roman Czyborra, Paul Hardy, \Qianqian Fang, Andrew Miller, Johnnie Weaver, David Corbett, \Nils Moskopp, Rebecca Bettencourt, et al."
#define | DEFAULT_ID1 "Unifont"
| Default NameID 1 string (Font Family) More...
#define | DEFAULT_ID2 "Regular"
| Default NameID 2 string (Font Subfamily) More...
#define | DEFAULT_ID5 "Version "UNIFONT_VERSION
| Default NameID 5 string (Version of the Name Table) More...
#define | DEFAULT_ID11 "https://unifoundry.com/unifont/"
| Default NameID 11 string (Font Vendor URL) More...
#define | DEFAULT_ID13 "Dual license: SIL Open Font License version 1.1, \and GNU GPL version 2 or later with the GNU Font Embedding Exception."
| Default NameID 13 string (License Description) More...
#define | DEFAULT_ID14 "http://unifoundry.com/LICENSE.txt, \https://scripts.sil.org/OFL"
| Default NameID 14 string (License Information URLs) More...
#define | NAMEPAIR(n) {(n), DEFAULT_ID##n}
| Macro to initialize name identifier codes to default values defined above. More...

## Typedefs

typedef struct NamePair | NamePair
| Data structure for a font ID number and name character string.

## Variables

const NamePair | defaultNames []
| Allocate array of NameID codes with default values. More...

## Detailed Description

hex2otf.h - Header file for hex2otf.c

Copyright
  Copyright © 2022 何志翔 (He Zhixiang)

Author
  何志翔 (He Zhixiang)

Definition in file hex2otf.h.

## Macro Definition Documentation

## DEFAULT_ID0

#define DEFAULT_ID0 "Copyright © 1998-2022 Roman Czyborra, Paul Hardy, \Qianqian Fang, Andrew Miller, Johnnie Weaver, David Corbett, \Nils Moskopp, Rebecca Bettencourt, et al."

Define default strings for some TrueType font NameID strings.

    NameID   Description
    ------   -----------
       0     Copyright Notice
       1     Font Family
       2     Font Subfamily
       5     Version of the Name Table
      11     URL of the Font Vendor
      13     License Description
      14     License Information URL

Default NameID 0 string (Copyright Notice)

Definition at line 53 of file hex2otf.h.

## DEFAULT_ID1

#define DEFAULT_ID1 "Unifont"

Default NameID 1 string (Font Family)

Definition at line 57 of file hex2otf.h.

## DEFAULT_ID11

#define DEFAULT_ID11 "https://unifoundry.com/unifont/"

Default NameID 11 string (Font Vendor URL)

Definition at line 64 of file hex2otf.h.

## DEFAULT_ID13

#define DEFAULT_ID13 "Dual license: SIL Open Font License version 1.1, \and GNU GPL version 2 or later with the GNU Font Embedding Exception."

Default NameID 13 string (License Description)

Definition at line 67 of file hex2otf.h.

## DEFAULT_ID14

#define DEFAULT_ID14 "http://unifoundry.com/LICENSE.txt, \https://scripts.sil.org/OFL"

Default NameID 14 string (License Information URLs)

Definition at line 71 of file hex2otf.h.

## DEFAULT_ID2

#define DEFAULT_ID2 "Regular"

Default NameID 2 string (Font Subfamily)

Definition at line 58 of file hex2otf.h.

## DEFAULT_ID5

#define DEFAULT_ID5 "Version "UNIFONT_VERSION

Default NameID 5 string (Version of the Name Table)

Definition at line 61 of file hex2otf.h.

## NAMEPAIR

#define NAMEPAIR | ( |  | n | ) | {(n), DEFAULT_ID##n}

Macro to initialize name identifier codes to default values defined above.

Definition at line 84 of file hex2otf.h.

## UNIFONT_VERSION

#define UNIFONT_VERSION "15.0.03"

Current Unifont version.

Definition at line 36 of file hex2otf.h.

## Variable Documentation

## defaultNames

const NamePair defaultNames[]

Initial value:
=
{
NAMEPAIR (0),
NAMEPAIR (1),
NAMEPAIR (2),
NAMEPAIR (5),
NAMEPAIR (11),
NAMEPAIR (13),
NAMEPAIR (14),
{0, NULL}
}
NAMEPAIR
#define NAMEPAIR(n)
Macro to initialize name identifier codes to default values defined above.
Definition: hex2otf.h:84

Allocate array of NameID codes with default values.

This array contains the default values for several TrueType NameID strings, as defined above in this file. Strings are assigned using the NAMEPAIR macro defined above.

Definition at line 93 of file hex2otf.h.